package cn.hmsoft.skill.data.model.school;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;
import java.time.LocalDateTime;

/**********************************************
* 学校基本信息表
* @author: zxq
* @date: 2019-01-08 13:30:47
* @version: 5.0.0
* @email: revisit@126.com
* @Company: www.hmsoft.cn
*/
@Table(tableName = "SCHOOL_REG", keyColumn =  "SCHOOL_ID" , sequenceName = "SCHOOL_REG_ID")
public class SchoolReg implements Serializable{
	private static final long serialVersionUID = 5725070723051151826L;
	//学校编号
	private Integer school_id;
	//学校名称
	private String school_name;
	//学校简称
	private String school_short_name;
	//学校代码
	private String school_code;
	//学校微信号码
	private String school_wx;
	//登录密码
	private String login_pass;
	private String school_status;
	//socket信息
	private String socket_param;
	//学校类型
	private String school_type;
	//简章地址
	private String doc_url;
	//报考专业限制
	private Integer aspect_limit;
	//学校地址
	private String school_addr;
	//报名开始时间
	private LocalDateTime enrol_start_time;
	//报名结束时间
	private LocalDateTime enrol_end_time;
	//准考证开放打印时间
	private LocalDateTime ticket_start_time;
	//准考证关闭打印时间
	private LocalDateTime ticket_end_time;
	//学校网址
	private String school_url;
	//学校联系电话
	private String school_tel;
	//学校传真号码
	private String school_fax;
	//高校图片
	private String school_img;
	private String school_short_img;
	//准考证抬头
	private String ticket_title;
	//准考证注意事项
	private String ticket_note;
	//准考证生成时间
	private LocalDateTime ticket_time;

	/****
	 * 学校编号
	 */
	public Integer getSchool_id() {
		return this.school_id;
	}

	/****
	 * 学校编号
	 */
	public void setSchool_id(Integer school_id) {
		this.school_id = school_id;
	}

	/****
	 * 学校名称
	 */
	public String getSchool_name() {
		return this.school_name;
	}

	/****
	 * 学校名称
	 */
	public void setSchool_name(String school_name) {
		this.school_name = school_name;
	}

	/****
	 * 学校简称
	 */
	public String getSchool_short_name() {
		return this.school_short_name;
	}

	/****
	 * 学校简称
	 */
	public void setSchool_short_name(String school_short_name) {
		this.school_short_name = school_short_name;
	}

	/****
	 * 学校代码
	 */
	public String getSchool_code() {
		return this.school_code;
	}

	/****
	 * 学校代码
	 */
	public void setSchool_code(String school_code) {
		this.school_code = school_code;
	}

	/****
	 * 学校微信号码
	 */
	public String getSchool_wx() {
		return this.school_wx;
	}

	/****
	 * 学校微信号码
	 */
	public void setSchool_wx(String school_wx) {
		this.school_wx = school_wx;
	}

	/****
	 * 登录密码
	 */
	public String getLogin_pass() {
		return this.login_pass;
	}

	/****
	 * 登录密码
	 */
	public void setLogin_pass(String login_pass) {
		this.login_pass = login_pass;
	}

	public String getSchool_status() {
		return this.school_status;
	}

	public void setSchool_status(String school_status) {
		this.school_status = school_status;
	}

	/****
	 * socket信息
	 */
	public String getSocket_param() {
		return this.socket_param;
	}

	/****
	 * socket信息
	 */
	public void setSocket_param(String socket_param) {
		this.socket_param = socket_param;
	}

	/****
	 * 学校类型
	 */
	public String getSchool_type() {
		return this.school_type;
	}

	/****
	 * 学校类型
	 */
	public void setSchool_type(String school_type) {
		this.school_type = school_type;
	}

	/****
	 * 简章地址
	 */
	public String getDoc_url() {
		return this.doc_url;
	}

	/****
	 * 简章地址
	 */
	public void setDoc_url(String doc_url) {
		this.doc_url = doc_url;
	}

	/****
	 * 报考专业限制
	 */
	public Integer getAspect_limit() {
		return this.aspect_limit;
	}

	/****
	 * 报考专业限制
	 */
	public void setAspect_limit(Integer aspect_limit) {
		this.aspect_limit = aspect_limit;
	}

	/****
	 * 学校地址
	 */
	public String getSchool_addr() {
		return this.school_addr;
	}

	/****
	 * 学校地址
	 */
	public void setSchool_addr(String school_addr) {
		this.school_addr = school_addr;
	}

	/****
	 * 报名开始时间
	 */
	public LocalDateTime getEnrol_start_time() {
		return this.enrol_start_time;
	}

	/****
	 * 报名开始时间
	 */
	public void setEnrol_start_time(LocalDateTime enrol_start_time) {
		this.enrol_start_time = enrol_start_time;
	}

	/****
	 * 报名结束时间
	 */
	public LocalDateTime getEnrol_end_time() {
		return this.enrol_end_time;
	}

	/****
	 * 报名结束时间
	 */
	public void setEnrol_end_time(LocalDateTime enrol_end_time) {
		this.enrol_end_time = enrol_end_time;
	}

	/****
	 * 准考证开放打印时间
	 */
	public LocalDateTime getTicket_start_time() {
		return this.ticket_start_time;
	}

	/****
	 * 准考证开放打印时间
	 */
	public void setTicket_start_time(LocalDateTime ticket_start_time) {
		this.ticket_start_time = ticket_start_time;
	}

	/****
	 * 准考证关闭打印时间
	 */
	public LocalDateTime getTicket_end_time() {
		return this.ticket_end_time;
	}

	/****
	 * 准考证关闭打印时间
	 */
	public void setTicket_end_time(LocalDateTime ticket_end_time) {
		this.ticket_end_time = ticket_end_time;
	}

	/****
	 * 学校网址
	 */
	public String getSchool_url() {
		return this.school_url;
	}

	/****
	 * 学校网址
	 */
	public void setSchool_url(String school_url) {
		this.school_url = school_url;
	}

	/****
	 * 学校联系电话
	 */
	public String getSchool_tel() {
		return this.school_tel;
	}

	/****
	 * 学校联系电话
	 */
	public void setSchool_tel(String school_tel) {
		this.school_tel = school_tel;
	}

	/****
	 * 学校传真号码
	 */
	public String getSchool_fax() {
		return this.school_fax;
	}

	/****
	 * 学校传真号码
	 */
	public void setSchool_fax(String school_fax) {
		this.school_fax = school_fax;
	}

	/****
	 * 高校图片
	 */
	public String getSchool_img() {
		return this.school_img;
	}

	/****
	 * 高校图片
	 */
	public void setSchool_img(String school_img) {
		this.school_img = school_img;
	}

	public String getSchool_short_img() {
		return this.school_short_img;
	}

	public void setSchool_short_img(String school_short_img) {
		this.school_short_img = school_short_img;
	}

	/****
	 * 准考证抬头
	 */
	public String getTicket_title() {
		return this.ticket_title;
	}

	/****
	 * 准考证抬头
	 */
	public void setTicket_title(String ticket_title) {
		this.ticket_title = ticket_title;
	}

	/****
	 * 准考证注意事项
	 */
	public String getTicket_note() {
		return this.ticket_note;
	}

	/****
	 * 准考证注意事项
	 */
	public void setTicket_note(String ticket_note) {
		this.ticket_note = ticket_note;
	}

	/****
	 * 准考证生成时间
	 */
	public LocalDateTime getTicket_time() {
		return this.ticket_time;
	}

	/****
	 * 准考证生成时间
	 */
	public void setTicket_time(LocalDateTime ticket_time) {
		this.ticket_time = ticket_time;
	}

}